Maybe it will work in the morning.

I installed the 0.8.1. gem and verified it.

=============
an...@bigboy:~/Ruby/EightyOne> gem list radiant


*** LOCAL GEMS ***

radiant (0.8.1, 0.6.9, 0.6.7, 0.6.6)
=============

I installed from /usr/lib/ruby/gems/1.8/gems/radiant-0.8.1/bin/radiant

I created the SQlite3 database


But when I try to bootstrap I get an error

======================
an...@bigboy:~/Ruby/EightyOne> rake development db:bootstrap
(in /home/anton/Ruby/EightyOne)
Missing the Radiant  gem. Please `gem install -v= radiant`, update your
RADIANT_GEM_VERSION setting in config/environment.rb for the Radiant
version you do have installed, or comment out RADIANT_GEM_VERSION to use
the latest version installed.
=====================

I've tried setting RADIANT_GEM_VERSION in the environment and in
config/environment.rb, even though I shouldn't need to.
I've tried setting GEM_PATH just to make sure!

The gem is there, and its readable.

I've done some googling and checked the archives and this was a problem
with 0.6.6 - http://www.ruby-forum.com/topic/151509, though I don't see
a resolution on that thread.

And yes, I get the same error with a freeze:

===================
an...@bigboy:~/Ruby/EightyOne> rake radiant:freeze:gems
(in /home/anton/Ruby/EightyOne)
Missing the Radiant  gem. Please `gem install -v= radiant`, update your
RADIANT_GEM_VERSION setting in config/environment.rb for the Radiant
version you do have installed, or comment out RADIANT_GEM_VERSION to use
the latest version installed.
===================

Maybe my mind will be clear in the morning, or perhaps not.

Maybe someone will suggest a fix before I get back from work...
(hint)

-- 
This is not a novel to be tossed aside lightly.
It should be thrown with great force. -- Dorothy Parker
_______________________________________________
Radiant mailing list
Post:   Radiant@radiantcms.org
Search: http://radiantcms.org/mailing-list/search/
Site:   http://lists.radiantcms.org/mailman/listinfo/radiant

Reply via email to